%global wine_staging 0

Name:           wine
Version:        5.19
Release:        1%{?dist}
Summary:        A compatibility layer for windows applications

License:        LGPLv2+
URL:            https://www.winehq.org/
Source0:        https://dl.winehq.org/wine/source/5.x/wine-%{version}.tar.xz
Source10:       https://dl.winehq.org/wine/source/5.x/wine-%{version}.tar.xz.sign

%if 0%{?wine_staging}
# wine-staging patches
# pulseaudio-patch is covered by that patch-set, too.
Source900: https://github.com/wine-staging/wine-staging/archive/v%{version}.tar.gz#/wine-staging-%{version}.tar.gz
%endif

BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  gcc
BuildRequires:  mingw32-gcc
BuildRequires:  mingw64-gcc
BuildRequires:  autoconf
BuildRequires:  desktop-file-utils
BuildRequires:  alsa-lib-devel alsa-lib-devel(x86-32)
BuildRequires:  audiofile-devel
BuildRequires:  freeglut-devel freeglut-devel(x86-32)
BuildRequires:  lcms2-devel lcms2-devel(x86-32)
BuildRequires:  libieee1284-devel libieee1284-devel(x86-32)
BuildRequires:  libjpeg-devel libjpeg-devel(x86-32)
BuildRequires:  libpng-devel libpng-devel(x86-32)
BuildRequires:  librsvg2 librsvg2(x86-32)
BuildRequires:  librsvg2-devel librsvg2-devel(x86-32)
BuildRequires:  libstdc++-devel libstdc++-devel(x86-32)
BuildRequires:  libusb-devel libusb-devel(x86-32)
BuildRequires:  libxml2-devel libxml2-devel(x86-32)
BuildRequires:  libxslt-devel libxslt-devel(x86-32)
BuildRequires:  ncurses-devel ncurses-devel(x86-32)
BuildRequires:  openldap-devel openldap-devel(x86-32)
BuildRequires:  perl-generators
BuildRequires:  unixODBC-devel unixODBC-devel(x86-32)
BuildRequires:  sane-backends-devel sane-backends-devel(x86-32)
BuildRequires:  systemd-devel
BuildRequires:  zlib-devel zlib-devel(x86-32)
BuildRequires:  fontforge freetype-devel freetype-devel(x86-32)
BuildRequires:  libgphoto2-devel libgphoto2-devel(x86-32)
BuildRequires:  libpcap-devel libpcap-devel(x86-32)
BuildRequires:  libX11-devel libX11-devel(x86-32)
BuildRequires:  mesa-libGL-devel mesa-libGL-devel(x86-32)
BuildRequires:  mesa-libGLU-devel mesa-libGLU-devel(x86-32)
BuildRequires:  mesa-libOSMesa-devel mesa-libOSMesa-devel(x86-32)
BuildRequires:  libXxf86dga-devel libXxf86dga-devel(x86-32)
BuildRequires:  libXxf86vm-devel libXxf86vm-devel(x86-32)
BuildRequires:  libXrandr-devel libXrandr-devel(x86-32)
BuildRequires:  libXrender-devel libXrender-devel(x86-32)
BuildRequires:  libXext-devel libXext-devel(x86-32)
BuildRequires:  libXinerama-devel libXinerama-devel(x86-32)
BuildRequires:  libXcomposite-devel libXcomposite-devel(x86-32)
BuildRequires:  libXfixes-devel(x86-32)
BuildRequires:  fontconfig-devel fontconfig-devel(x86-32)
BuildRequires:  giflib-devel giflib-devel(x86-32)
BuildRequires:  cups-devel cups-devel(x86-32)
BuildRequires:  libXmu-devel libXmu-devel(x86-32)
BuildRequires:  libXi-devel libXi-devel(x86-32)
BuildRequires:  libXcursor-devel libXcursor-devel(x86-32)
BuildRequires:  dbus-devel dbus-devel(x86-32)
BuildRequires:  gnutls-devel gnutls-devel(x86-32)
BuildRequires:  pulseaudio-libs-devel pulseaudio-libs-devel(x86-32)
BuildRequires:  gsm-devel gsm-devel(x86-32)
BuildRequires:  libv4l-devel libv4l-devel(x86-32)
BuildRequires:  fontpackages-devel
BuildRequires:  libtiff-devel libtiff-devel(x86-32)
BuildRequires:  gettext-devel gettext-devel(x86-32)
BuildRequires:  chrpath
BuildRequires:  gstreamer1-devel gstreamer1-devel(x86-32)
BuildRequires:  gstreamer1-plugins-base-devel gstreamer1-plugins-base-devel(x86-32)
BuildRequires:  SDL2-devel SDL2-devel(x86-32)
BuildRequires:  libvkd3d-devel
BuildRequires:  vulkan-loader-devel vulkan-loader-devel(x86-32)
BuildRequires:  libappstream-glib
BuildRequires:  gtk3-devel gtk3-devel(x86-32)
BuildRequires:  libattr-devel libattr-devel(x86-32)
BuildRequires:  libva-devel libva-devel(x86-32)
BuildRequires:  icoutils
BuildRequires:  libgcc(x86-32)
BuildRequires:  glibc-devel(x86-32)

Requires:       samba-winbind-clients
Requires:       freetype(x86-32)
Requires:       gnutls(x86-32)
Requires:       libglvnd-glx(x86-32)
Requires:       mesa-dri-drivers(x86-32)

%description
Wine as a compatibility layer for UNIX to run Windows applications. This
package includes a program loader, which allows unmodified Windows
3.x/9x/NT binaries to run on x86 and x86_64 Unixes. Wine can use native system
.dll files if they are available.

%package core
Summary:        Wine core meta-package
Requires:       wine = %{version}-%{release}

%description core
Wine core meta-package includes the basic wine stuff needed by all other packages.

%package common
Summary:       Common files meta-package
Requires:      wine = %{version}-%{release}

%description common
Common wine files and scripts.

%package devel
Summary: Wine development environment
Requires: wine-core = %{version}-%{release}
 
%description devel
Header, include files and library definition files for developing applications
with the Wine Windows(TM) emulation libraries.

%prep
%autosetup

%if 0%{?wine_staging}
gzip -dc %{SOURCE1} | tar -xf - --strip-components=1
patches/patchinstall.sh DESTDIR="`pwd`" --all
%endif

%build
mkdir -p wine64-build
cd wine64-build
../configure --enable-win64 --prefix=/usr

%make_build

cd ..

mkdir -p wine32-build
cd wine32-build
../configure --with-wine64=../wine64-build --prefix=/usr

%make_build

%install
rm -rf $RPM_BUILD_ROOT
cd wine32-build
%make_install

cd ../wine64-build
%make_install

%files
%license LICENSE
%doc ANNOUNCE
%doc COPYING.LIB
%doc LICENSE
%doc LICENSE.OLD
%doc AUTHORS
%doc README
%doc VERSION
%doc documentation/README.*

%{_bindir}/function_grep.pl
%{_bindir}/msidb
%{_bindir}/msiexec
%{_bindir}/notepad
%{_bindir}/regedit
%{_bindir}/regsvr32
%{_bindir}/widl
%{_bindir}/wine
%{_bindir}/wine-preloader
%{_bindir}/wine64
%{_bindir}/wine64-preloader
%{_bindir}/wineboot
%{_bindir}/winebuild
%{_bindir}/winecfg
%{_bindir}/wineconsole
%{_bindir}/winecpp
%{_bindir}/winedbg
%{_bindir}/winedump
%{_bindir}/winefile
%{_bindir}/wineg++
%{_bindir}/winegcc
%{_bindir}/winemaker
%{_bindir}/winemine
%{_bindir}/winepath
%{_bindir}/wineserver
%{_bindir}/wmc
%{_bindir}/wrc

%{_includedir}/wine/*.h
%{_includedir}/wine/*.idl
%{_includedir}/wine/msvcrt/*.h
%{_includedir}/wine/msvcrt/sys/*.h
%{_includedir}/wine/windows/*.h
%{_includedir}/wine/windows/*.idl
%{_includedir}/wine/windows/*.inl
%{_includedir}/wine/windows/*.rh
%{_includedir}/wine/windows/*.tlb
%{_includedir}/wine/windows/*.x
%{_includedir}/wine/windows/ddk/*.h

%{_prefix}/lib/libwine.so
%{_prefix}/lib/libwine.so.1
%{_prefix}/lib/libwine.so.1.0

%{_prefix}/lib/wine/*.com
%{_prefix}/lib/wine/*.drv
%{_prefix}/lib/wine/*.drv16
%{_prefix}/lib/wine/*.dll
%{_prefix}/lib/wine/*.tlb
%{_prefix}/lib/wine/*.cpl
%{_prefix}/lib/wine/*.exe
%{_prefix}/lib/wine/*.exe16
%{_prefix}/lib/wine/*.dll16
%{_prefix}/lib/wine/*.so
%{_prefix}/lib/wine/*.sys
%{_prefix}/lib/wine/*.ocx
%{_prefix}/lib/wine/*.vxd
%{_prefix}/lib/wine/*.acm
%{_prefix}/lib/wine/*.def
%{_prefix}/lib/wine/*.a
%{_prefix}/lib/wine/*.mod16
%{_prefix}/lib/wine/*.ax

%{_prefix}/lib/wine/fakedlls/*.dll
%{_prefix}/lib/wine/fakedlls/*.ds
%{_prefix}/lib/wine/fakedlls/*.sys
%{_prefix}/lib/wine/fakedlls/*.acm
%{_prefix}/lib/wine/fakedlls/*.drv
%{_prefix}/lib/wine/fakedlls/*.exe

%{_libdir}/libwine.so
%{_libdir}/libwine.so.1
%{_libdir}/libwine.so.1.0

%{_libdir}/wine/*.dll
%{_libdir}/wine/*.cpl
%{_libdir}/wine/*.exe
%{_libdir}/wine/*.so
%{_libdir}/wine/*.com
%{_libdir}/wine/*.tlb
%{_libdir}/wine/*.ocx
%{_libdir}/wine/*.sys
%{_libdir}/wine/*.acm
%{_libdir}/wine/*.def
%{_libdir}/wine/*.a
%{_libdir}/wine/*.drv
%{_libdir}/wine/*.ax

%{_libdir}/wine/fakedlls/*.dll
%{_libdir}/wine/fakedlls/*.ds
%{_libdir}/wine/fakedlls/*.acm
%{_libdir}/wine/fakedlls/*.sys
%{_libdir}/wine/fakedlls/*.drv
%{_libdir}/wine/fakedlls/*.exe

%{_datadir}/applications/wine.desktop

%{_datadir}/wine/*.inf

%{_datadir}/wine/fonts/*.fon
%{_datadir}/wine/fonts/*.ttf

%{_datadir}/wine/nls/*.nls

%{_mandir}/man1/*.1.gz
%lang(de) %{_mandir}/de.UTF-8/man1/*.1.gz
%lang(fr) %{_mandir}/fr.UTF-8/man1/*.1.gz
%lang(pl) %{_mandir}/pl.UTF-8/man1/*.1.gz

%files core

%files common

%files devel

%changelog
* Sat Oct 10 2020 Michael Cronenworth <mike@cchtml.com> 5.19-1
- version update

* Mon Sep 28 2020 Michael Cronenworth <mike@cchtml.com> 5.18-2
- Enable vkd3d shader support

* Mon Sep 28 2020 Michael Cronenworth <mike@cchtml.com> 5.18-1
- version update

* Tue Sep 15 2020 Michael Cronenworth <mike@cchtml.com> 5.17-1
- version update

* Tue Sep 01 2020 Michael Cronenworth <mike@cchtml.com> 5.16-1
- version update

* Sun Aug 16 2020 Michael Cronenworth <mike@cchtml.com> 5.15-1
- version update

* Mon Aug 10 2020 Frantisek Zatloukal <fzatlouk@redhat.com> - 5.14-2
- Recommend wine-dxvk as part of https://fedoraproject.org/wiki/Changes/DXVKwined3d

* Mon Aug 03 2020 Michael Cronenworth <mike@cchtml.com> 5.14-1
- version update

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 20 2020 Michael Cronenworth <mike@cchtml.com> 5.13-1
- version update

* Tue Jul 14 2020 Michael Cronenworth <mike@cchtml.com> 5.12-1
- version update

* Wed Jul 01 2020 Jeff Law <law@redhat.com> 5.10-2
- Disable LTO

* Sun Jun 07 2020 Michael Cronenworth <mike@cchtml.com> 5.10-1
- version update

* Tue Jun 02 2020 Michael Cronenworth <mike@cchtml.com> 5.9-2
- drop typelibs from 32-bit devel package
- add patch for wine bug 49208

* Fri May 29 2020 Michael Cronenworth <mike@cchtml.com> 5.9-1
- version update

* Sat May 02 2020 Michael Cronenworth <mike@cchtml.com> 5.7-2
- fix crash in wineserver affecting many apps and games (RHBZ#1829956)

* Sun Apr 26 2020 Michael Cronenworth <mike@cchtml.com> 5.7-1
- version update

* Sat Apr 11 2020 Michael Cronenworth <mike@cchtml.com> 5.6-1
- version update

* Sun Mar 29 2020 Michael Cronenworth <mike@cchtml.com> 5.5-1
- version update

* Mon Mar 16 2020 Michael Cronenworth <mike@cchtml.com> 5.4-1
- version update

* Mon Mar 02 2020 Michael Cronenworth <mike@cchtml.com> 5.3-1
- version update

* Tue Feb 18 2020 Michael Cronenworth <mike@cchtml.com> 5.2-1
- version update

* Mon Feb 03 2020 Michael Cronenworth <mike@cchtml.com> 5.1-1
- version update

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jan 22 2020 Michael Cronenworth <mike@cchtml.com> 5.0-1
- version update

* Mon Jan 13 2020 Michael Cronenworth <mike@cchtml.com> 5.0-0.rc5.0
- version update

* Mon Jan 06 2020 Michael Cronenworth <mike@cchtml.com> 5.0-0.rc4.0
- version update

* Mon Dec 30 2019 Michael Cronenworth <mike@cchtml.com> 5.0-0.rc3.0
- version update

* Sat Nov 30 2019 Michael Cronenworth <mike@cchtml.com> 4.21-1
- version update

* Sat Nov 16 2019 Michael Cronenworth <mike@cchtml.com> 4.20-1
- version and wine-mono update

* Sat Nov 02 2019 Michael Cronenworth <mike@cchtml.com> 4.19-1
- version update

* Mon Oct 21 2019 Michael Cronenworth <mike@cchtml.com> 4.18-1
- version update

* Sun Sep 29 2019 Michael Cronenworth <mike@cchtml.com> 4.17-2
- sync wine-mono version

* Sat Sep 28 2019 Michael Cronenworth <mike@cchtml.com> 4.17-1
- version update

* Thu Sep 26 2019 Michael Cronenworth <mike@cchtml.com> 4.16-2
- Drop isdn4k-utils BR (RHBZ#1756118)

* Sat Sep 14 2019 Michael Cronenworth <mike@cchtml.com> 4.16-1
- version update

* Sun Sep 01 2019 Michael Cronenworth <mike@cchtml.com> 4.15-1
- version update

* Mon Aug 19 2019 Michael Cronenworth <mike@cchtml.com> 4.14-2
- sync wine-mono version

* Mon Aug 19 2019 Michael Cronenworth <mike@cchtml.com> 4.14-1
- version update

* Sun Aug 11 2019 Michael Cronenworth <mike@cchtml.com> 4.13-5
- remove correct dlls on upgrade

* Thu Aug 08 2019 Michael Cronenworth <mike@cchtml.com> 4.13-4
- support upgrades in new alternatives

* Wed Aug 07 2019 Michael Cronenworth <mike@cchtml.com> 4.13-3
- fix slave alternatives for d3d dlls

* Mon Aug 05 2019 Michael Cronenworth <mike@cchtml.com> 4.13-2
- fix alternatives for d3d dlls

* Sun Aug 04 2019 Michael Cronenworth <mike@cchtml.com> 4.13-1
- version update
- add alternatives for d3d dlls to play with dxvk

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.12.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Jul 10 2019 Michael Cronenworth <mike@cchtml.com> 4.12.1-1
- version update

* Sun Jun 23 2019 Michael Cronenworth <mike@cchtml.com> 4.11-1
- version update

* Thu Jun 13 2019 Michael Cronenworth <mike@cchtml.com> 4.10-1
- version update
- compile with MinGW support

* Sun May 26 2019 Michael Cronenworth <mike@cchtml.com> 4.9-1
- version update

* Wed May 15 2019 Michael Cronenworth <mike@cchtml.com> 4.8-2
- Fix default wine svg (RHBZ#1598994)

* Tue May 14 2019 Michael Cronenworth <mike@cchtml.com> 4.8-1
- version update

* Sun Apr 28 2019 Michael Cronenworth <mike@cchtml.com> 4.7-1
- version update

* Sun Apr 14 2019 Michael Cronenworth <mike@cchtml.com> 4.6-1
- version update

* Tue Apr 02 2019 Michael Cronenworth <mike@cchtml.com> 4.5-1
- version update

* Tue Mar 19 2019 Michael Cronenworth <mike@cchtml.com> 4.4-1
- version update

* Sun Mar 03 2019 Michael Cronenworth <mike@cchtml.com> 4.3-1
- version update

* Tue Feb 19 2019 Kalev Lember <klember@redhat.com> - 4.2-3
- Rebuilt against fixed atk (#1626575)

* Tue Feb 19 2019 Björn Esser <besser82@fedoraproject.org> - 4.2-2
- Fix version requirement on wine-mono

* Sun Feb 17 2019 Michael Cronenworth <mike@cchtml.com> 4.2-1
- version update

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Jan 23 2019 Michael Cronenworth <mike@cchtml.com> 4.0-1
- version update
